Delete a saved payment method

Remove a stored payment method (e.g., credit card) from your account. This is useful if you no longer wish to use a specific payment method for future transactions or for security reasons.

Billing & Payments Billing

Context

Used in the dashboard

/billing

Path Parameters

id string required Example: primary

id parameter

Headers

Accept Example
Content-Type Example

Responses

200
data object required
data.message string required · Example: Client credit card has been removed!

Human-readable message.

data.success boolean required · Example: true

True for successful responses.

requestId string required · Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba

Unique request identifier (UUID).

success boolean required · Example: true

True for successful responses.

timestamp string required · Example: 2026-02-10T00:00:00.000Z

ISO 8601 timestamp (UTC).

DELETE https://cloud.hostup.se/api/billing/cards/{id}
For AI assistants
cURL
curl -X DELETE "https://cloud.hostup.se/api/billing/cards/primary" \
  -H "X-API-Key: YOUR_API_KEY" \
  -H "Content-Type: application/json"
Response
{
  "success": true,
  "timestamp": "2026-02-10T00:00:00.000Z",
  "requestId": "2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba",
  "data": {
    "success": true,
    "message": "Client credit card has been removed!"
  }
}